[arch-dev-public] We need to rebuild ffmpeg, mplayer and x264

Eric Bélanger snowmaniscool at gmail.com
Sat Oct 31 08:07:20 EDT 2009

On Sat, Oct 31, 2009 at 7:45 AM, Hugo Doria <hugodoria at gmail.com> wrote:
> Hi guys,
> There was a major change in x264's API and FFmpeg and Mplayer were
> adapted the new changes. We need to updated them and get it working
> with the new changes.
> I already rebuilt x264 and mplayer to the latest versions, but we need
> to do the same with ffmpeg and gstreamer0.10-ugly. Is this a problem?
> -- Hugo

The latest x264 and ffmpeg have both soname bump. You'll need to
rebuild probably all packages that (make/opt)depends on them. For x264
, there's about a dozen. For ffmpeg, it depends which ones of ffmpeg
library got the soname bump. Some packages only have the ffmpeg
depends but also depends on x264. You are definitely missing quite a
few.  Setup a todo list and don't rush.

More information about the arch-dev-public mailing list